FieldProviderTransformer (cglib (Version 2.2.2))
Date: 2016-02-03

net.sf.cglib.transform.impl

## Class FieldProviderTransformer

- java.lang.Object
- - org.objectweb.asm.ClassAdapter
  - - net.sf.cglib.core.ClassEmitter
    - - net.sf.cglib.transform.ClassEmitterTransformer
      - - net.sf.cglib.transform.impl.FieldProviderTransformer

- All Implemented Interfaces:
    ClassTransformer, org.objectweb.asm.ClassVisitor

      public class FieldProviderTransformer
      extends ClassEmitterTransformer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldProviderTransformer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `begin_class(int version, int access, java.lang.String className, org.objectweb.asm.Type superType, org.objectweb.asm.Type[] interfaces, java.lang.String sourceFile)`
    `void` | `declare_field(int access, java.lang.String name, org.objectweb.asm.Type type, java.lang.Object value)`
    `void` | `end_class()`

    - ### Methods inherited from class net.sf.cglib.core.ClassEmitter

      `begin_method, begin_static, getAccess, getClassInfo, getClassType, getStaticHook, getSuperType, setTarget, visit, visitEnd, visitField, visitMethod`

    - ### Methods inherited from class org.objectweb.asm.ClassAdapter

      `visitAnnotation, visitAttribute, visitInnerClass, visitOuterClass, visitSource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.cglib.transform.ClassTransformer

      `setTarget`

    - ### Methods inherited from interface org.objectweb.asm.ClassVisitor

      `visit, visitAnnotation, visitAttribute, visitEnd, visitField, visitInnerClass, visitMethod, visitOuterClass, visitSource`

- - ### Constructor Detail

    - #### FieldProviderTransformer

          public FieldProviderTransformer()

  - ### Method Detail

    - #### begin_class

          public void begin_class(int version,
                         int access,
                         java.lang.String className,
                         org.objectweb.asm.Type superType,
                         org.objectweb.asm.Type[] interfaces,
                         java.lang.String sourceFile)

      Overrides:
        `begin_class` in class `ClassEmitter`

    - #### declare_field

          public void declare_field(int access,
                           java.lang.String name,
                           org.objectweb.asm.Type type,
                           java.lang.Object value)

      Overrides:
        `declare_field` in class `ClassEmitter`

    - #### end_class

          public void end_class()

      Overrides:
        `end_class` in class `ClassEmitter`

Copyright (c) 2001 - Apache Software Foundation